<template>
  <div class="flex gap-3 p-4 w-fit items-center">
    <svn-status-chip
      :text="text"
      :dot="dot"
      :state="state"
      :compact="compact"
      :success="success"
      :warning="warning"
      :error="error"
      :disabled="disabled"
      :flat="flat"
    />
  </div>
</template>

<script setup>
import SvnStatusChip from "@/components/chip/SvnStatusChip.vue";

const props = defineProps({
  text: {
    type: String,
    default: 'Status'
  },
  dot: {
    type: Boolean,
    default: false
  },
  state: {
    type: String,
    default: 'neutral'
  },
  compact: {
    type: Boolean,
    default: false
  },
  success: {
    type: Boolean,
    default: false
  },
  warning: {
    type: Boolean,
    default: false
  },
  error: {
    type: Boolean,
    default: false
  },
  disabled: {
    type: Boolean,
    default: false
  },
  flat: {
    type: Boolean,
    default: false
  }
})
</script>

<style scoped>

</style>